## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests need to run in an environment with Slurm
%bcond tests 0

Name:           python-snakemake-executor-plugin-slurm
Version:        1.2.1
Release:        %autorelease
Summary:        A Snakemake executor plugin for submitting jobs to a SLURM cluster

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-executor-plugin-slurm
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-executor-plugin-slurm-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -L snakemake_executor_plugin_slurm

BuildArch:      noarch

# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  snakemake >= 8
%if %{with tests}
BuildRequires:  %{py3_dist pytest}
%endif

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-snakemake-executor-plugin-slurm
Summary:        %{summary}

%description -n python3-snakemake-executor-plugin-slurm %{common_description}


%check -a
%if %{with tests}
%pytest -v tests/tests.py
%endif


%files -n python3-snakemake-executor-plugin-slurm -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue May 06 2025 Packit <hello@packit.dev> - 1.2.1-1
- Update to 1.2.1 upstream release
- Resolves: rhbz#2345869

* Tue May 06 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.15.1-1
- Update to 0.15.1

* Tue May 06 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.15.0-2
- F41+: Use the provisional pyproject declarative buildsystem

* Thu Jan 23 2025 Packit <hello@packit.dev> - 0.15.0-1
- Update to 0.15.0 upstream release
- Resolves: rhbz#2341819

* Mon Jan 20 2025 Packit <hello@packit.dev> - 0.14.2-1
- Update to 0.14.2 upstream release
- Resolves: rhbz#2339024

* Fri Jan 17 2025 Packit <hello@packit.dev> - 0.14.1-1
- Update to 0.14.1 upstream release
- Resolves: rhbz#2338675

* Thu Jan 16 2025 Packit <hello@packit.dev> - 0.14.0-1
- Update to 0.14.0 upstream release
- Resolves: rhbz#2338494

* Wed Jan 15 2025 Packit <hello@packit.dev> - 0.12.1-1
- Update to 0.12.1 upstream release
- Resolves: rhbz#2338177

* Wed Jan 08 2025 Packit <hello@packit.dev> - 0.12.0-1
- Update to 0.12.0 upstream release
- Resolves: rhbz#2336421

* Sat Nov 09 2024 Packit <hello@packit.dev> - 0.11.2-1
- Update to 0.11.2 upstream release
- Resolves: rhbz#2324821

* Tue Oct 22 2024 Packit <hello@packit.dev> - 0.11.1-1
- Update to 0.11.1 upstream release
- Resolves: rhbz#2321117

* Sun Sep 29 2024 Packit <hello@packit.dev> - 0.11.0-1
- Update to 0.11.0 upstream release
- Resolves: rhbz#2315529

* Thu Sep 12 2024 Packit <hello@packit.dev> - 0.10.2-1
- Update to 0.10.2 upstream release
- Resolves: rhbz#2312033

* Sat Aug 24 2024 Packit <hello@packit.dev> - 0.10.0-1
- Update to 0.10.0 upstream release
- Resolves: rhbz#2307734

* Wed Aug 07 2024 Packit <hello@packit.dev> - 0.9.0-1
- Update to 0.9.0 upstream release
- Resolves: rhbz#2303577

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Packit <hello@packit.dev> - 0.8.0-1
- Update to 0.8.0 upstream release
- Resolves: rhbz#2298062

* Thu Jul 04 2024 Packit <hello@packit.dev> - 0.7.0-1
- Update to 0.7.0 upstream release
- Resolves: rhbz#2295729

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.6.0-2
- Rebuilt for Python 3.13

* Sat Jun 08 2024 Packit <hello@packit.dev> - 0.6.0-1
- Update to 0.6.0 upstream release
- Resolves: rhbz#2290998

* Tue Jun 04 2024 Packit <hello@packit.dev> - 0.5.2-1
- Update to 0.5.2 upstream release
- Resolves: rhbz#2290432

* Thu Apr 18 2024 Packit <hello@packit.dev> - 0.4.5-1
- Update to 0.4.5 upstream release
- Resolves: rhbz#2275831

* Mon Apr 15 2024 Packit <hello@packit.dev> - 0.4.4-1
- Update to 0.4.4 upstream release
- Resolves: rhbz#2275105

* Sat Apr 13 2024 Packit <hello@packit.dev> - 0.4.3-1
- Update to 0.4.3 upstream release
- Resolves: rhbz#2274845

* Fri Mar 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.2-1
- Initial package (close RHBZ#2261110)
## END: Generated by rpmautospec
